# RFC-588

## Products in this collection

- [HATTEKER Adjustable Replacement Comb for RFC-588 – Precision Trimmer Guard (Small & Medium Only)](https://www.hatteker.co.uk/products/hatteker-rfc-588-adjustable-comb-precision-trimmer) - 12.99 GBP
- [HATTEKER RFC-588 Replacement Comb Set 5 PCS – Adjustable Guide Combs for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-comb-set-5pcs-replacement) - 15.99 GBP
- [HATTEKER Large Precision Trimmer Head RFC-588 – Micro Shaver Replacement Attachment Wide Grooming Blade](https://www.hatteker.co.uk/products/hatteker-rfc-588-large-precision-trimmer-head) - 12.99 GBP
- [Hatteker USB Charger for RFC-588 – Fast Charging Cable Replacement for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-usb-charger-cable-replacement) - 11.99 GBP
- [HATTEKER USB Charger Cable for RFC-690 / RFC-588 / RFC-598 / RFC-692 / RFC-696 – Replacement Charging Cable for Hatteker Trimmers](https://www.hatteker.co.uk/products/hatteker-usb-charger-cable-multi-model-rfc-series) - 11.99 GBP
- [HATTEKER Professional Hair Trimmer Waterproof 5-in-1 RFC-588 – Cordless Grooming Kit for Beard, Hair & Body](https://www.hatteker.co.uk/products/hatteker-rfc-588-5in1-hair-trimmer-waterproof) - 29.99 GBP
- [HATTEKER New Model RFC-588 Professional Hair Trimmer 7-in-1 Waterproof Grooming Kit for Men Beard, Hair & Body](https://www.hatteker.co.uk/products/hatteker-rfc-588-7in1-hair-trimmer-waterproof-new-model) - 37.94 GBP
- [HATTEKER Medium Precision Trimmer Head RFC-588 – Balanced Micro Shaver Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-588-medium-precision-trimmer-head) - 12.99 GBP
- [Hatteker RFC-588 Foil Shaver Replacement Head – Smooth Close Shave Attachment for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-foil-shaver) - 12.99 GBP
- [HATTEKER USB & Plug Charger for RFC-588 – Fast Charging Replacement Cable for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-usb-charger-cable-plug-replacement) - 15.99 GBP
- [HATTEKER Replacement Nose Foil Cutter RFC-588 – Precision Nose Hair Trimmer Blade Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-588-nose-foil-replacement) - 9.99 GBP
- [HATTEKER Small Precision Trimmer Head RFC-588 – Carving Detail Blade for Sharp Edges & Fine Grooming](https://www.hatteker.co.uk/products/hatteker-rfc-588-small-precision-trimmer-head) - 12.99 GBP
- [HATTEKER RFC-588 Replacement Comb Set 6 PCS – Adjustable Guide Combs for Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-comb-set) - 17.99 GBP
- [Hatteker RFC-588 Replacement Kit  – Comb Guards & Precision Trimmer Head Bundle](https://www.hatteker.co.uk/products/hatteker-rfc-588-replacement-kit-uk-comb-guards-precision-trimmer-head-bundle) - 41.97 GBP
- [HATTEKER Travel Case for Hair Clipper RFC-588](https://www.hatteker.co.uk/products/hermitshell-travel-case-for-hatteker-hair-clipper-beard-trimmer-kit-waterproof-usb-rechargeable-5-in-1) - 29.94 GBP

---

> Source: [HATTEKER](https://www.hatteker.co.uk/collections/rfc-588)
> Updated: 2026-10-06
